Skip to main content
`Ctrl`+`K`

# `skopt.utils`.cook_initial_point_generator

skopt.utils.cook_initial_point_generator(generator, **kwargs)

  Cook a default initial point generator.

  For the special generator called “random” the return value is None.

  Parameters:
    generator“lhs”, “sobol”, “halton”, “hammersly”, “grid”, “random” or InitialPointGenerator instance”

      Should inherit from `skopt.sampler.InitialPointGenerator`.

    kwargs dict

      Extra parameters provided to the generator at init time.